## rust-rhai 1.22.2

=== debian/changelog ===
rust-rhai (1.22.2-1) unstable; urgency=medium

  * Team upload.
  * Package rhai 1.22.2 from crates.io using debcargo 2.7.8
  * Update patches for new upstream and new rustyline.
  * Update overridden debian/tests/control.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 14 Aug 2025 03:09:16 +0000
