=== debian/control ===
Source: rust-rhai
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native (>= 1.66.0) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-ahash-0.8+compile-time-rng-dev (>= 0.8.4-~~) <!nocheck>,
 librust-ahash-0.8+runtime-rng-dev (>= 0.8.4-~~) <!nocheck>,
 librust-ahash-0.8+std-dev (>= 0.8.4-~~) <!nocheck>,
 librust-bitflags-2-dev (>= 2.3.3-~~) <!nocheck>,
 librust-num-traits-0.2+std-dev (>= 0.2.14-~~) <!nocheck>,
 librust-num-traits-0.2-dev (>= 0.2.14-~~) <!nocheck>,
 librust-once-cell-1+alloc-dev (>= 1.20.1-~~) <!nocheck>,
 librust-once-cell-1+portable-atomic-dev (>= 1.20.1-~~) <!nocheck>,
 librust-once-cell-1+race-dev (>= 1.20.1-~~) <!nocheck>,
 librust-once-cell-1+std-dev (>= 1.20.1-~~) <!nocheck>,
 librust-rhai-codegen-2+default-dev (>= 2.1.0-~~) <!nocheck>,
 librust-smallvec-1+const-generics-dev (>= 1.7.0-~~) <!nocheck>,
 librust-smallvec-1+const-new-dev (>= 1.7.0-~~) <!nocheck>,
 librust-smallvec-1+union-dev (>= 1.7.0-~~) <!nocheck>,
 librust-smartstring-1+std-dev <!nocheck>,
 librust-smartstring-1-dev <!nocheck>,
 librust-thin-vec-0.2-dev (>= 0.2.13-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/rhai]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/rhai
Homepage: https://rhai.rs
X-Cargo-Crate: rhai
Rules-Requires-Root: no

Package: librust-rhai-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-ahash-0.8+compile-time-rng-dev (>= 0.8.4-~~),
 librust-ahash-0.8+runtime-rng-dev (>= 0.8.4-~~),
 librust-ahash-0.8+std-dev (>= 0.8.4-~~),
 librust-arbitrary-1+default-dev (>= 1.3.2-~~),
 librust-arbitrary-1+derive-dev (>= 1.3.2-~~),
 librust-bitflags-2-dev (>= 2.3.3-~~),
 librust-core-error-0.0+alloc-dev,
 librust-core-error-0.0+alloc-dev (<< 0.0.1-~~),
 librust-document-features-0.2+default-dev,
 librust-getrandom-0.2+default-dev (>= 0.2.7-~~),
 librust-hashbrown-0+default-dev (>= 0.14.0-~~),
 librust-libm-0.2-dev,
 librust-no-std-compat-0.4+alloc-dev (>= 0.4.1-~~),
 librust-no-std-compat-0.4+compat-sync-dev (>= 0.4.1-~~),
 librust-num-traits-0.2+libm-dev (>= 0.2.14-~~),
 librust-num-traits-0.2+std-dev (>= 0.2.14-~~),
 librust-num-traits-0.2-dev (>= 0.2.14-~~),
 librust-once-cell-1+alloc-dev (>= 1.20.1-~~),
 librust-once-cell-1+portable-atomic-dev (>= 1.20.1-~~),
 librust-once-cell-1+race-dev (>= 1.20.1-~~),
 librust-once-cell-1+std-dev (>= 1.20.1-~~),
 librust-rhai-codegen-2+default-dev (>= 2.1.0-~~),
 librust-rhai-codegen-2+metadata-dev (>= 2.1.0-~~),
 librust-rust-decimal-1+maths-dev (>= 1.24.0-~~),
 librust-rust-decimal-1+rust-fuzz-dev (>= 1.24.0-~~),
 librust-rustyline-17+default-dev,
 librust-serde-1+alloc-dev (>= 1.0.136-~~),
 librust-serde-1+derive-dev (>= 1.0.136-~~),
 librust-serde-json-1+alloc-dev (>= 1.0.45-~~),
 librust-smallvec-1+const-generics-dev (>= 1.7.0-~~),
 librust-smallvec-1+const-new-dev (>= 1.7.0-~~),
 librust-smallvec-1+serde-dev (>= 1.7.0-~~),
 librust-smallvec-1+union-dev (>= 1.7.0-~~),
 librust-smartstring-1+serde-dev,
 librust-smartstring-1+std-dev,
 librust-smartstring-1-dev,
 librust-thin-vec-0.2+serde-dev (>= 0.2.13-~~),
 librust-thin-vec-0.2-dev (>= 0.2.13-~~),
 librust-unicode-xid-0.2-dev
Provides:
 librust-rhai+arbitrary-dev (= ${binary:Version}),
 librust-rhai+bin-features-dev (= ${binary:Version}),
 librust-rhai+core-error-dev (= ${binary:Version}),
 librust-rhai+debugging-dev (= ${binary:Version}),
 librust-rhai+decimal-dev (= ${binary:Version}),
 librust-rhai+default-dev (= ${binary:Version}),
 librust-rhai+document-features-dev (= ${binary:Version}),
 librust-rhai+f32-float-dev (= ${binary:Version}),
 librust-rhai+fuzz-dev (= ${binary:Version}),
 librust-rhai+getrandom-dev (= ${binary:Version}),
 librust-rhai+hashbrown-dev (= ${binary:Version}),
 librust-rhai+internals-dev (= ${binary:Version}),
 librust-rhai+libm-dev (= ${binary:Version}),
 librust-rhai+metadata-dev (= ${binary:Version}),
 librust-rhai+no-std-compat-dev (= ${binary:Version}),
 librust-rhai+no-closure-dev (= ${binary:Version}),
 librust-rhai+no-custom-syntax-dev (= ${binary:Version}),
 librust-rhai+no-float-dev (= ${binary:Version}),
 librust-rhai+no-function-dev (= ${binary:Version}),
 librust-rhai+no-index-dev (= ${binary:Version}),
 librust-rhai+no-module-dev (= ${binary:Version}),
 librust-rhai+no-object-dev (= ${binary:Version}),
 librust-rhai+no-optimize-dev (= ${binary:Version}),
 librust-rhai+no-position-dev (= ${binary:Version}),
 librust-rhai+no-std-dev (= ${binary:Version}),
 librust-rhai+no-time-dev (= ${binary:Version}),
 librust-rhai+only-i32-dev (= ${binary:Version}),
 librust-rhai+only-i64-dev (= ${binary:Version}),
 librust-rhai+rust-decimal-dev (= ${binary:Version}),
 librust-rhai+rustyline-dev (= ${binary:Version}),
 librust-rhai+serde-dev (= ${binary:Version}),
 librust-rhai+serde-json-dev (= ${binary:Version}),
 librust-rhai+std-dev (= ${binary:Version}),
 librust-rhai+sync-dev (= ${binary:Version}),
 librust-rhai+testing-environ-dev (= ${binary:Version}),
 librust-rhai+unchecked-dev (= ${binary:Version}),
 librust-rhai+unicode-xid-dev (= ${binary:Version}),
 librust-rhai+unicode-xid-ident-dev (= ${binary:Version}),
 librust-rhai+unstable-dev (= ${binary:Version}),
 librust-rhai-1-dev (= ${binary:Version}),
 librust-rhai-1+arbitrary-dev (= ${binary:Version}),
 librust-rhai-1+bin-features-dev (= ${binary:Version}),
 librust-rhai-1+core-error-dev (= ${binary:Version}),
 librust-rhai-1+debugging-dev (= ${binary:Version}),
 librust-rhai-1+decimal-dev (= ${binary:Version}),
 librust-rhai-1+default-dev (= ${binary:Version}),
 librust-rhai-1+document-features-dev (= ${binary:Version}),
 librust-rhai-1+f32-float-dev (= ${binary:Version}),
 librust-rhai-1+fuzz-dev (= ${binary:Version}),
 librust-rhai-1+getrandom-dev (= ${binary:Version}),
 librust-rhai-1+hashbrown-dev (= ${binary:Version}),
 librust-rhai-1+internals-dev (= ${binary:Version}),
 librust-rhai-1+libm-dev (= ${binary:Version}),
 librust-rhai-1+metadata-dev (= ${binary:Version}),
 librust-rhai-1+no-std-compat-dev (= ${binary:Version}),
 librust-rhai-1+no-closure-dev (= ${binary:Version}),
 librust-rhai-1+no-custom-syntax-dev (= ${binary:Version}),
 librust-rhai-1+no-float-dev (= ${binary:Version}),
 librust-rhai-1+no-function-dev (= ${binary:Version}),
 librust-rhai-1+no-index-dev (= ${binary:Version}),
 librust-rhai-1+no-module-dev (= ${binary:Version}),
 librust-rhai-1+no-object-dev (= ${binary:Version}),
 librust-rhai-1+no-optimize-dev (= ${binary:Version}),
 librust-rhai-1+no-position-dev (= ${binary:Version}),
 librust-rhai-1+no-std-dev (= ${binary:Version}),
 librust-rhai-1+no-time-dev (= ${binary:Version}),
 librust-rhai-1+only-i32-dev (= ${binary:Version}),
 librust-rhai-1+only-i64-dev (= ${binary:Version}),
 librust-rhai-1+rust-decimal-dev (= ${binary:Version}),
 librust-rhai-1+rustyline-dev (= ${binary:Version}),
 librust-rhai-1+serde-dev (= ${binary:Version}),
 librust-rhai-1+serde-json-dev (= ${binary:Version}),
 librust-rhai-1+std-dev (= ${binary:Version}),
 librust-rhai-1+sync-dev (= ${binary:Version}),
 librust-rhai-1+testing-environ-dev (= ${binary:Version}),
 librust-rhai-1+unchecked-dev (= ${binary:Version}),
 librust-rhai-1+unicode-xid-dev (= ${binary:Version}),
 librust-rhai-1+unicode-xid-ident-dev (= ${binary:Version}),
 librust-rhai-1+unstable-dev (= ${binary:Version}),
 librust-rhai-1.22-dev (= ${binary:Version}),
 librust-rhai-1.22+arbitrary-dev (= ${binary:Version}),
 librust-rhai-1.22+bin-features-dev (= ${binary:Version}),
 librust-rhai-1.22+core-error-dev (= ${binary:Version}),
 librust-rhai-1.22+debugging-dev (= ${binary:Version}),
 librust-rhai-1.22+decimal-dev (= ${binary:Version}),
 librust-rhai-1.22+default-dev (= ${binary:Version}),
 librust-rhai-1.22+document-features-dev (= ${binary:Version}),
 librust-rhai-1.22+f32-float-dev (= ${binary:Version}),
 librust-rhai-1.22+fuzz-dev (= ${binary:Version}),
 librust-rhai-1.22+getrandom-dev (= ${binary:Version}),
 librust-rhai-1.22+hashbrown-dev (= ${binary:Version}),
 librust-rhai-1.22+internals-dev (= ${binary:Version}),
 librust-rhai-1.22+libm-dev (= ${binary:Version}),
 librust-rhai-1.22+metadata-dev (= ${binary:Version}),
 librust-rhai-1.22+no-std-compat-dev (= ${binary:Version}),
 librust-rhai-1.22+no-closure-dev (= ${binary:Version}),
 librust-rhai-1.22+no-custom-syntax-dev (= ${binary:Version}),
 librust-rhai-1.22+no-float-dev (= ${binary:Version}),
 librust-rhai-1.22+no-function-dev (= ${binary:Version}),
 librust-rhai-1.22+no-index-dev (= ${binary:Version}),
 librust-rhai-1.22+no-module-dev (= ${binary:Version}),
 librust-rhai-1.22+no-object-dev (= ${binary:Version}),
 librust-rhai-1.22+no-optimize-dev (= ${binary:Version}),
 librust-rhai-1.22+no-position-dev (= ${binary:Version}),
 librust-rhai-1.22+no-std-dev (= ${binary:Version}),
 librust-rhai-1.22+no-time-dev (= ${binary:Version}),
 librust-rhai-1.22+only-i32-dev (= ${binary:Version}),
 librust-rhai-1.22+only-i64-dev (= ${binary:Version}),
 librust-rhai-1.22+rust-decimal-dev (= ${binary:Version}),
 librust-rhai-1.22+rustyline-dev (= ${binary:Version}),
 librust-rhai-1.22+serde-dev (= ${binary:Version}),
 librust-rhai-1.22+serde-json-dev (= ${binary:Version}),
 librust-rhai-1.22+std-dev (= ${binary:Version}),
 librust-rhai-1.22+sync-dev (= ${binary:Version}),
 librust-rhai-1.22+testing-environ-dev (= ${binary:Version}),
 librust-rhai-1.22+unchecked-dev (= ${binary:Version}),
 librust-rhai-1.22+unicode-xid-dev (= ${binary:Version}),
 librust-rhai-1.22+unicode-xid-ident-dev (= ${binary:Version}),
 librust-rhai-1.22+unstable-dev (= ${binary:Version}),
 librust-rhai-1.22.2-dev (= ${binary:Version}),
 librust-rhai-1.22.2+arbitrary-dev (= ${binary:Version}),
 librust-rhai-1.22.2+bin-features-dev (= ${binary:Version}),
 librust-rhai-1.22.2+core-error-dev (= ${binary:Version}),
 librust-rhai-1.22.2+debugging-dev (= ${binary:Version}),
 librust-rhai-1.22.2+decimal-dev (= ${binary:Version}),
 librust-rhai-1.22.2+default-dev (= ${binary:Version}),
 librust-rhai-1.22.2+document-features-dev (= ${binary:Version}),
 librust-rhai-1.22.2+f32-float-dev (= ${binary:Version}),
 librust-rhai-1.22.2+fuzz-dev (= ${binary:Version}),
 librust-rhai-1.22.2+getrandom-dev (= ${binary:Version}),
 librust-rhai-1.22.2+hashbrown-dev (= ${binary:Version}),
 librust-rhai-1.22.2+internals-dev (= ${binary:Version}),
 librust-rhai-1.22.2+libm-dev (= ${binary:Version}),
 librust-rhai-1.22.2+metadata-dev (= ${binary:Version}),
 librust-rhai-1.22.2+no-std-compat-dev (= ${binary:Version}),
 librust-rhai-1.22.2+no-closure-dev (= ${binary:Version}),
 librust-rhai-1.22.2+no-custom-syntax-dev (= ${binary:Version}),
 librust-rhai-1.22.2+no-float-dev (= ${binary:Version}),
 librust-rhai-1.22.2+no-function-dev (= ${binary:Version}),
 librust-rhai-1.22.2+no-index-dev (= ${binary:Version}),
 librust-rhai-1.22.2+no-module-dev (= ${binary:Version}),
 librust-rhai-1.22.2+no-object-dev (= ${binary:Version}),
 librust-rhai-1.22.2+no-optimize-dev (= ${binary:Version}),
 librust-rhai-1.22.2+no-position-dev (= ${binary:Version}),
 librust-rhai-1.22.2+no-std-dev (= ${binary:Version}),
 librust-rhai-1.22.2+no-time-dev (= ${binary:Version}),
 librust-rhai-1.22.2+only-i32-dev (= ${binary:Version}),
 librust-rhai-1.22.2+only-i64-dev (= ${binary:Version}),
 librust-rhai-1.22.2+rust-decimal-dev (= ${binary:Version}),
 librust-rhai-1.22.2+rustyline-dev (= ${binary:Version}),
 librust-rhai-1.22.2+serde-dev (= ${binary:Version}),
 librust-rhai-1.22.2+serde-json-dev (= ${binary:Version}),
 librust-rhai-1.22.2+std-dev (= ${binary:Version}),
 librust-rhai-1.22.2+sync-dev (= ${binary:Version}),
 librust-rhai-1.22.2+testing-environ-dev (= ${binary:Version}),
 librust-rhai-1.22.2+unchecked-dev (= ${binary:Version}),
 librust-rhai-1.22.2+unicode-xid-dev (= ${binary:Version}),
